[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# HexToBin

Convert a hexadecimal string to a binary buffer

## Declaration

Source position: strutils.pp line 190

`function HexToBin(`
`HexValue: PChar;`
`BinValue: PChar;`
`BinBufSize: Integer`
`):Integer;`

## Description

HexToBin scans the hexadecimal string representation in HexValue and transforms every 2 character hexadecimal number to a byte and stores it in BinValue. The buffer size is the size of the binary buffer. Scanning will stop if the size of the binary buffer is reached or when an invalid character is encountered. The return value is the number of stored bytes.

## Errors

No length checking is done, so if an invalid size is specified, an exception may follow.

## See also

BinToHex |  | Convert a binary buffer to a hexadecimal string

Documentation generated on: Feb 26 2014